## golang-github-montanaflynn-stats 0.2.0%2Bgit20170729.66.4a16327

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-montanaflynn-stats-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/montanaflynn/stats/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-montanaflynn-stats 0.6.4

=== Makefile ===
.PHONY: all

default: test lint

format: 
	go fmt .

test:
	go test -race 
	
check: format test

benchmark:
	go test -bench=. -benchmem

coverage:
	go test -coverprofile=coverage.out
	go tool cover -html="coverage.out"

lint: format
	golangci-lint run .

changelog:
	git-chglog -o CHANGELOG.md

docs:
	godoc2md github.com/montanaflynn/stats | sed -e s#src/target/##g > DOCUMENTATION.md

release:
	git-chglog --next-tag ${TAG} ${TAG} -o CHANGELOG.md
	git add CHANGELOG.md
	git commit -m "Update changelog with ${TAG} changes"
	git tag ${TAG}
	git-chglog $(TAG) | tail -n +4 | sed '1s/^/$(TAG)\n/gm' > release-notes.txt
	git push origin master ${TAG}
	hub release create --copy -F release-notes.txt ${TAG}

## golang-github-montanaflynn-stats 0.2.0+git20170729.66.4a16327

=== debian/changelog ===
golang-github-montanaflynn-stats (0.2.0+git20170729.66.4a16327-1) unstable; urgency=medium

  * Initial release (Closes: #871464)

 -- Anthony Fok <foka@debian.org>  Tue, 08 Aug 2017 01:05:09 -0600

=== debian/control ===
Source: golang-github-montanaflynn-stats
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any
Standards-Version: 4.0.0
Homepage: https://github.com/montanaflynn/stats
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-montanaflynn-stats.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-montanaflynn-stats.git
XS-Go-Import-Path: github.com/montanaflynn/stats
Testsuite: autopkgtest-pkg-go

Package: golang-github-montanaflynn-stats-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Statistics package for Go
 Stats is a statistics package with many functions missing
 from the Golang standard library.

## golang-github-montanaflynn-stats 0.6.3

=== debian/changelog ===
golang-github-montanaflynn-stats (0.6.3-2) unstable; urgency=medium

  * debian/rules: Fix FTBFS by skipping test on non-amd64 architectures until
    test failures due to FMA (fused multiply-add) differences are resolved.
    See https://github.com/montanaflynn/stats/issues/33 (Closes: #976562)
  * debian/control: Bump Standards-Version to 4.5.1 (no change)

 -- Anthony Fok <foka@debian.org>  Tue, 15 Dec 2020 05:36:45 -0700

golang-github-montanaflynn-stats (0.6.3-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * New upstream version 0.6.3
  * debian/watch: Update to version=4
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * Apply "cme fix dpkg" fixes:
    - Organize debian/control fields
    - Change Priority from "extra" to "optional"
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
    - Bump Standards-Version to 4.5.0 (no change)
  * Add "Rules-Requires-Root: no" to debian/control
  * Update Maintainer email address to team+pkg-go@tracker.debian.org
  * Add debian/upstream/metadata

 -- Anthony Fok <foka@debian.org>  Fri, 23 Oct 2020 01:36:30 -0600

=== debian/control ===
Source: golang-github-montanaflynn-stats
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-montanaflynn-stats
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-montanaflynn-stats.git
Homepage: https://github.com/montanaflynn/stats
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/montanaflynn/stats

Package: golang-github-montanaflynn-stats-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Statistics package for Go
 Stats is a statistics package with many functions missing
 from the Golang standard library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --buildsystem=golang --with=golang

ifneq ($(DEB_HOST_ARCH), amd64)
override_dh_auto_test:
	# Skip test on non-amd64 architectures until test failures
	# due to FMA (fused multiply-add) differences are resolved.
	# See https://github.com/montanaflynn/stats/issues/33
endif

## golang-github-montanaflynn-stats 0.6.4

=== debian/changelog ===
golang-github-montanaflynn-stats (0.6.4-2) unstable; urgency=medium

  * debian/control: Change Section from devel to golang

 -- Anthony Fok <foka@debian.org>  Thu, 14 Jan 2021 01:03:43 -0700

golang-github-montanaflynn-stats (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4
  * Remove 0001-Fix-failing-tests-due-to-precision-errors-on-arm64.patch as
    it is applied upstream, see https://github.com/montanaflynn/stats/pull/58
    Thanks to Guinness and Nicolas Braud-Santoni (nicoo) for the fix!

 -- Anthony Fok <foka@debian.org>  Wed, 13 Jan 2021 19:36:15 -0700

golang-github-montanaflynn-stats (0.6.3-3) unstable; urgency=low

  * Team upload.
  * Fix tests on non-amd64 architectures (Closes: #976562)

 -- Guinness <guinness@crans.org>  Tue, 15 Dec 2020 18:53:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: golang-github-montanaflynn-stats
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

## golang-github-montanaflynn-stats 0.7.1

=== debian/changelog ===
golang-github-montanaflynn-stats (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * Reorder fields in debian/control and debian/copyright
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Bump Standards-Version to 4.6.2 (no change)
  * Mark library package with "Multi-Arch: foreign"
  * Drop -dev package’s unneeded dependency on ${shlibs:Depends}

 -- Anthony Fok <foka@debian.org>  Tue, 11 Jul 2023 01:26:01 -0600

=== debian/control ===
Source: golang-github-montanaflynn-stats
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-montanaflynn-stats
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-montanaflynn-stats.git
Homepage: https://github.com/montanaflynn/stats
XS-Go-Import-Path: github.com/montanaflynn/stats

Package: golang-github-montanaflynn-stats-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Statistics package for Go
 Stats is a statistics package with many functions missing
 from the Golang standard library.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --buildsystem=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-montanaflynn-stats-$1.tar.gz%" \
    https://github.com/montanaflynn/stats/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
